Overview | Modules | Class Hierarchy | Classes | Members

Static Public Member Functions
tlp::ConnectedTest Class Reference
Graph_test

class for testing if the graph is connected More...

`#include <ConnectedTest.h>`

Inheritance diagram for tlp::ConnectedTest:
[legend]
Collaboration diagram for tlp::ConnectedTest:
[legend]

List of all members.

## Static Public Member Functions

- static bool isConnected (const Graph *const graph)
- static void makeConnected (Graph *graph, std::vector< edge > &addedEdges)
- static unsigned int numberOfConnectedComponents (const Graph *const graph)
- static void computeConnectedComponents (Graph *graph, std::vector< std::set< node > > &components)

## Detailed Description

class for testing if the graph is connected

## Member Function Documentation

static bool tlp::ConnectedTest::isConnected | ( | const Graph *const | graph | ) | `[static]`

Returns true if the graph is connected (ie. it exists an undirected path between each pair of nodes), false otherwise.

Tulip Software by LaBRI Visualization Team 2001 - 2012